Skip to main content
POST
/
api
/
v1
/
cable
/
validate
Validate Smartcard
curl --request POST \
  --url https://api.dancity.app/api/v1/cable/validate \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "smartcardNumber": "1234567890",
  "cablename": "DSTV"
}
'
{
  "success": true,
  "message": "Validation successful",
  "data": {
    "status": "success",
    "customerName": "John Doe",
    "customerNumber": "1234567890",
    "smartcardNumber": "1234567890",
    "cablename": "DSTV",
    "message": "Validation successful"
  }
}

Authorizations

Authorization
string
header
required

Merchant API key from the Dancity dashboard.

Body

application/json
smartcardNumber
string
required
Example:

"1234567890"

cablename
string
required

Provider from GET /api/v1/products (e.g. DSTV, GOTV). Hyphens and underscores work as spaces.

Example:

"DSTV"

Response

Validation successful